Page MenuHomePhabricator

Create maintenance script to validate composer.lock against composer.json
Closed, ResolvedPublic

Description

Create a maintenance script that when run will validate the contents of the first of ( $IP/composer.lock, $IP/vendor/composer.lock ) against the required library versions in $IP/composer.json. This validation script should assert that all libraries required in composer.json are present in composer.lock and that the versions in composer.lock match the versions specified in composer.json. If any library is found to be missing or not of a matching version the script should exit with a non-zero status and provide a list of the out of date dependencies.

Event Timeline

bd808 created this task.Dec 8 2014, 5:26 PM
bd808 claimed this task.
bd808 raised the priority of this task from to Medium.
bd808 updated the task description. (Show Details)
bd808 changed Security from none to None.
bd808 added subscribers: Legoktm, bd808, Krinkle and 2 others.
bd808 added a comment.Dec 8 2014, 5:28 PM

The core business logic for this maintenance script should probably be implemented by a class in includes/libs so that it would be possible to implement additional features that validate Composer installed libraries.

Legoktm claimed this task.Dec 8 2014, 7:43 PM
matmarex removed a subscriber: matmarex.Dec 8 2014, 8:34 PM

Change 178264 had a related patch set uploaded (by Legoktm):
Add checkComposerLockUpToDate.php script

https://gerrit.wikimedia.org/r/178264

Patch-For-Review

bd808 moved this task from Untriaged to Needs Review on the Librarization board.Dec 11 2014, 1:21 AM

Change 178264 merged by jenkins-bot:
Add checkComposerLockUpToDate.php script

https://gerrit.wikimedia.org/r/178264

bd808 moved this task from Needs Review to Done on the Librarization board.Dec 29 2014, 11:53 PM
bd808 closed this task as Resolved.Dec 29 2014, 11:55 PM
bd808 moved this task from Needs Review/Feedback to Done on the MediaWiki-Core-Team board.
bd808 removed a project: Patch-For-Review.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Jan 5 2015, 10:17 PM